<?php

namespace App\Integration;

use App\Integration\ApiRequest;

class Neemo extends ApiRequest {
 private $url = '';
 private $integrationsFactory;

 public function __construct(\App\Factory\Integrations $integrationsFactory) {
  $this->url = $_ENV['NEEMO_URL'];
  $this->integrationsFactory = $integrationsFactory;
 }

 public function getIdSenhaTokenGeral() {
  return $this->integrationsFactory->getIdSenhaTokenGeral("NMO");
 }

 public function sendCancelOrder($orderId) {
  $url = $this->url . "/order/" . $orderId;
  $appToken = $this->getIdSenhaTokenGeral();

  $data = [
   "status" => 3,
   "token_account" => "fixed-token-account",
   "app_token" => $appToken,
  ];

  $options = [
   'data' => json_encode($data),
   'header' => ["Content-Type: application/json"],
  ];

  $result = parent::put($url, $options);

  return $result;
 }
}
